#!/usr/bin/python
#
# Xen Worlds is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# Xen Worlds is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Xen Worlds; if not, write to the Free Software Foundation, Inc., 51 Franklin
# St, Fifth Floor, Boston, MA 02110-1301 USA
#
# Copyright 2009 Oberlin College
#
#-------------------------------------------------------------------------------
#
# Much of the following code was borrowed directly or paraphrased from the Xen
# Worlds project at Iowa State
# <http://http://home.eng.iastate.edu/~hawklan/xw-index.html>
#
# Written by Nathaniel Gephart <ngephart@cs.oberlin.edu>
#
#-------------------------------------------------------------------------------
#
# Defines a set of functions that generate formated output/log messages for Xen
# Worlds
#

import sys

#
# Added comments in front so we won't confuse pdmenu
#

# info {{{1
#  Prints an INFO message with the prefix "INFO :"
#
# Arguments:
# msg	    message to print
# newline   boolean, print new line character at end
#
def info (msg, newline=False):
    print "#INFO : " + msg + (newline and "\n" or "")



# debug {{{1
#  Prints a DEBUG message with the prefix "DEBUG:"
#
# Arguments:
# msg	    message to print
# newline   boolean, print new line character at end
#
def debug (msg, newline=False):
    print "#DEBUG: " + msg + (newline and "\n" or "")



# error {{{1
#  Prints an ERROR message to stderr with the prefix "ERROR:"
#
# Arguments:
# msg	    message to print
# newline   boolean, print new line character at end
#
def error (msg, newline=False):
    print "#ERROR: " + msg + (newline and "\n" or "")



# main {{{1
#  Debugging method
#
def main ():
    info("This is a test info message.")
    debug("This is a test debug message.")
    error("This is a test error message.")



# {{{1
if __name__ == "__main__":
    main()

# }}}1
# vim: foldmethod=marker
