#!/bin/sh
#
# $1 is the command type.
# $2 is the VM name
# $3 is the path to the Xen config file
#

vmName=$2
vmFile=$3
#vmFile="$3/$vmName"

echo "INFO : VM Name: $vmName"
echo "INFO : VM File: $vmFile"

# TODO - only get this if unset
HOSTNAME=`hostname -f`

case $1 in
	"connect")
	echo "INFO : Querying xm for port number."
        sudo /usr/sbin/xm list -l $vmName > /dev/null
        if [ $? -eq 0 ]; then
            echo "INFO : Found domain $vmName"
        else
            echo "INFO : Could not find domain $vmName."
            echo "INFO : Auto-starting domain $vmName"
            # same code as case "start"
            xen_command="/usr/sbin/xm create $vmFile"
            echo "INFO : sudo " $xen_command
            sudo $xen_command
        fi
	
        vncPort=`sudo /usr/sbin/xm list -l $vmName | \
        sed -ne 's/^.*(location 0.0.0.0:\([0-9]*\)).*$/\1/p'`

        vncPassword=`sudo /usr/sbin/xm list -l $vmName | \
            sed -ne 's/^.*(vncpasswd \([^)]*\)).*$/\1/p' | head -1`

	echo "-------- CONNECT INFO --------"
	echo "Use your VNC client to connect to $HOSTNAME on port $vncPort"
	echo "Address is vnc://$HOSTNAME:$vncPort"
	echo "Password is '$vncPassword'"
	;;

	"start")
	xen_command="/usr/sbin/xm create $vmFile"
	echo "INFO : sudo " $xen_command
	sudo $xen_command
	;;
	"shutdown")
	xen_command="/usr/sbin/xm shutdown $vmName"
	echo "INFO : sudo " $xen_command
	sudo $xen_command
	;;
	"reboot")
	xen_command="/usr/sbin/xm reboot $vmName"
	echo "INFO : sudo " $xen_command
	sudo $xen_command
	;;
	"destroy")
	xen_command="/usr/sbin/xm destroy $vmName"
	echo "INFO : sudo " $xen_command
	sudo $xen_command
	;;

	"list")
	vmList=`/usr/sbin/xm list | grep $vmName`
	xen_command="echo $vmlist"
	sudo $xen_command
	sleep 10
	;;

	*)
	echo "Unknown command."
	;;
esac
